% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/use_rstudio_prefs.R
\name{use_rstudio_prefs}
\alias{use_rstudio_prefs}
\title{Set RStudio Preferences}
\usage{
use_rstudio_prefs(...)
}
\arguments{
\item{...}{series of RStudio preferences to update, e.g.
\verb{always_save_history = FALSE, rainbow_parentheses = TRUE}}
}
\value{
NULL, updates RStudio \code{rstudio-prefs.json} file
}
\description{
This function updates the RStudio preferences saved in
the \code{rstudio-prefs.json} file. A full listing of preferences that may be
modified are listed here
\url{https://docs.rstudio.com/ide/server-pro/session-user-settings.html}
}
\examples{
\dontshow{if (interactive()) (if (getRversion() >= "3.4") withAutoprint else force)(\{ # examplesIf}
# pass preferences individually --------------
use_rstudio_prefs(
  always_save_history = FALSE,
  rainbow_parentheses = TRUE
)

# pass a list of preferences -----------------
pref_list <-
  list(always_save_history = FALSE,
       rainbow_parentheses = TRUE)

use_rstudio_prefs(!!!pref_list)
\dontshow{\}) # examplesIf}
}
\author{
Daniel D. Sjoberg
}
